Delete a thread
DELETE
/v1/email/threads/{thread_id}
await bird.email.threads.delete("thr_01abc", { permanent: true });client.email.threads.delete("thr_01krdgeqcxet5s7t44vh8rt9mg", permanent=True)if err := client.Email.Threads.Delete(context.Background(), "thr_123", bird.EmailThreadsDeleteParams{Permanent: true}); err != nil {
log.Fatal(err)
}$bird->email->threads->delete('thr_01krdgeqcxet5s7t44vh8rt9mg');bird email threads delete <thread-id> --yescurl -X DELETE "https://us1.platform.bird.com/v1/email/threads/{thread_id}" \
-H "Authorization: Bearer $TOKEN" \
--url-query "permanent=false"Moves the conversation and all of its messages to the trash. Trashed messages are permanently deleted after 30 days, or sooner if the mailbox's retention period ends first. Pass permanent=true to permanently delete the conversation and its messages immediately.
Paramètres
thread_id
string
Thread identifier. Starts with thr_.
Paramètres de requête
permanent
boolean
Permanently delete the conversation and its messages immediately instead of moving them to the trash.
Ressources associées
Poursuivez avec la documentation, les guides et les exemples sur ce sujet. Les ressources sont en anglais.
Regarder le guideGetting started with emailExplorer la fonctionnalitéEmailSuivre le parcours d'apprentissageBuild your first integrationGuide d'implémentationSend your first email
Essayez la pratique et obtenez un guide d'implémentation